precision mediump float;

#define NUM_TEXTURES 2

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform sampler2D a_Texture1;
uniform float Rate1;
uniform float Rate2;

varying vec2 v_texcoord[NUM_TEXTURES];

uniform int a_Texture0Width;	//ʵʱʾڶͼƬĿ
uniform int a_Texture0Height;

void main()
{
	vec4 texColor1=texture2D(a_Texture0, v_texcoord[0]);
	vec4 texColor2=texture2D(a_Texture1, v_texcoord[0]);

	//gl_FragColor=clamp(texColor1+texColor2);
	//float lum = texColor2.x * 0.3 + texColor2.y *0.59 + texColor2.z * 0.11;
	//if (lum>0.5)
	//	gl_FragColor=texColor1*1.0+texColor2*0.8;
	//else
	//	gl_FragColor=texColor1*1.0;

	//lum=lum*lum;
	//gl_FragColor=texColor1*1.0+texColor2*0.0;


	float lum = texColor1.x * 0.3 + texColor1.y *0.59 + texColor1.z * 0.11;
	texColor1 *= lum/0.5;
	//texColor1 /= vec4(vec4(1.0,1.0,1.0,0.0)+texColor1);
	gl_FragColor = clamp(texColor1*Rate1 + texColor2*Rate2, 0.0,1.0);
	
	//gl_FragColor = texColor1+texColor2;
}