precision mediump float;

#define NUM_TEXTURES 1

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;

varying vec2 v_texcoord[NUM_TEXTURES];
varying vec2 v_colorEx;

void main()
{
	gl_FragColor = texture2D(a_Texture0, v_texcoord[0]);
	gl_FragColor = vec4(gl_FragColor.xyz*v_colorEx.x, gl_FragColor.w*v_colorEx.y);
	
	//gl_FragColor = vec4(gl_FragColor.xyz*v_colorEx.x, gl_FragColor.w*v_colorEx.y);
	//gl_FragColor.x=1.0;
	//gl_FragColor.w=1.0;
}