#define NUM_TEXTURES 1

uniform mat4 mvp_matrix; 
uniform vec3 eye_Position;	//ʵʱʾӵλ
uniform float Rate2;	//ʵһתǶ 

attribute vec4 a_position;
attribute vec4 a_texcoord0;

varying float posz;

varying vec2 v_texcoord[NUM_TEXTURES];

void main(void)
{
	v_texcoord[0] = a_texcoord0.xy;
	
	float angle=Rate2;
	float x = a_position.x*cos(angle)-a_position.y*sin(angle);
	float y = a_position.x*sin(angle)+a_position.y*cos(angle);
	gl_Position = mvp_matrix * vec4(x+eye_Position.x, y+eye_Position.y, eye_Position.z, 1.0);

	posz=gl_Position.w;
}