precision mediump float;

#define NUM_TEXTURES 2

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform sampler2D a_Texture1;

varying vec2 v_texcoord[NUM_TEXTURES];

void main()
{
	vec4 texColor=texture2D(a_Texture0, v_texcoord[0]);
	gl_FragColor=texColor;
}