#define NUM_TEXTURES 2

uniform mat4 mvp_matrix; 

attribute vec4 a_position;
attribute vec4 a_texcoord0;
attribute vec4 a_texcoord1;

varying vec2 v_texcoord[NUM_TEXTURES];

void main(void)
{
    v_texcoord[0] = a_texcoord0.xy;
    //a_position.z=0.0;
    gl_Position = mvp_matrix * a_position;
    gl_Position.z=0.0;
    gl_Position.w=abs(gl_Position.x);
}