precision mediump float;

#define NUM_TEXTURES 2

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform sampler2D a_Texture1;

uniform int a_Texture0Width;
uniform int a_Texture0Height;

uniform float Rate1;

varying vec2 v_texcoord[NUM_TEXTURES];

void main()
{
	//1/16
	/*float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);
	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,0.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*2.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*4.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*4.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*4.0,dy*6.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*6.0,dy*6.0));

	color /= 16.0;
	gl_FragColor = color;*/

///////////////////////////////////////////////////
	/*float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);

	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy));
	color /= 4.0;

	gl_FragColor=color;*/


///////////////////////////////////////////////////
	float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);
	float rx=dx*1.5;
	float ry=dy*1.5;
	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(-rx,-ry))*0.1;
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0,-ry))*0.333;
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(rx,-ry))*0.1;

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(-rx,0))*0.333;
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(rx,0))*0.333;

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(-rx,ry))*0.1;
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0,ry))*0.333;
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(rx,ry))*0.1;

	color /= 2.73;
	
	//if (Rate1==1.0)
	{
		float lum = color.x * 0.27 + color.y *0.67 + color.z * 0.006;
		//lum=pow(lum,0.5);
		//lum*=lum;
		
		gl_FragColor = color * 1.9 *lum ;
	}
	/*else if(Rate1==0.0)
	{
		gl_FragColor = color;
	}
	else
	{
		float lum = color.x * 0.27 + color.y *0.67 + color.z * 0.006;
		lum=pow(lum,0.5);
		gl_FragColor = color*(1.0-Rate1)+(color * 2.5 *lum)*Rate1;
	}*/

///////////////////////////////////////////////////
	//1/8ƫ
	/*float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);
	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,0.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy*2.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy*3.0));

	color /= 16.0;
	//gl_FragColor = color;
	//float lum = color.x * 0.27 + color.y *0.67 + color.z * 0.006;
	//gl_FragColor = color * 2.0 *lum ;
	
	gl_FragColor = color;*/
	
	
//////////////////////////////////////////////////
	//1/8ƫ
	/*float dx = 1.0/float(a_Texture0Width);
	float dy = 1.0/float(a_Texture0Height);
	vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,0.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,0.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*2.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy*2.0));

	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*2.0,dy*3.0));
	color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(dx*3.0,dy*3.0));

	color /= 16.0;
	//gl_FragColor = color;
	//float lum = color.x * 0.27 + color.y *0.67 + color.z * 0.006;
	//gl_FragColor = color * 2.0 *lum ;
	
	//if (lum>0.3)
	gl_FragColor = color;*/

}