precision mediump float;

#define NUM_TEXTURES 1

uniform bool enable_tex[NUM_TEXTURES];
uniform sampler2D a_Texture0;
uniform vec4 obj_Color;

uniform float Rate1;
uniform float Rate2;
uniform bool m_bShowEnable;

varying vec2 v_texcoord[NUM_TEXTURES];

void main()
{
	/*if (Rate1<=0.0)
	{
		gl_FragColor=texture2D(a_Texture0, v_texcoord[0]);
	}
	else
	{
		vec4 color = texture2D(a_Texture0,v_texcoord[0].xy);
		color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(Rate1,0.0));
		color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(0.0,Rate2));
		color += texture2D(a_Texture0,v_texcoord[0].xy+vec2(Rate1,Rate2));
		color *=0.25;
	
		gl_FragColor=color;
	}*/
	
	gl_FragColor=texture2D(a_Texture0, v_texcoord[0]);
	if (m_bShowEnable)
		gl_FragColor.xyz=gl_FragColor.xyz*Rate1;
	else
	{
		float c=(gl_FragColor.x+gl_FragColor.y+gl_FragColor.z)*0.33333;
		gl_FragColor.xyz=vec3(c,c,c);
	}
	gl_FragColor.w=gl_FragColor.w*Rate2;
}