#define NUM_TEXTURES 2

uniform bool enable_texcoord[NUM_TEXTURES]; 
uniform mat4 mvp_matrix; 
uniform mat4 modelview_matrix; 
uniform mat4 model_matrix; 
uniform mat3 normal_matrix; 
uniform vec3 eye_Position;


attribute vec4 a_position;
attribute vec2 a_texcoord0;
attribute vec2 a_texcoord1;

varying float posz;
varying vec2 v_texcoord[NUM_TEXTURES];

void main(void)
{
    v_texcoord[0] = a_texcoord0.xy;
    v_texcoord[1] = a_texcoord1.xy;
    gl_Position = mvp_matrix * a_position;
    posz=gl_Position.w;
}