#define NUM_TEXTURES 1

uniform mat4 mvp_matrix; 
uniform mat4 model_matrix; 
uniform vec3 eye_Position;

attribute vec4 a_position;
attribute vec4 a_position1; 
attribute vec4 a_texcoord0;
attribute vec4 a_texcoord1;
attribute vec3 a_normal;

uniform float Rate1;	//a_positiona_position1һֵ
uniform float Rate2;	//ֵһ0ʾ1ʾѪ
//uniform float Rate3;	//ʾʧḶ́0ʾȫûʧ1ʾȫʧ

uniform bool is_HighLight;	//ʾǷҪʾtrueΪǣfalseΪ

uniform bool isVertexShort;
uniform bool needComputeVertex; 
uniform float PointScaleRate1;
uniform vec3 CenterPoint1;
uniform float PointScaleRate2;
uniform vec3 CenterPoint2;

uniform vec4 obj_Color;

uniform vec4 fog_Color;
uniform float FogDisRate;

varying vec3 vNormal;
varying vec3 vViewVec;
varying float posz;

varying vec2 v_texcoord[NUM_TEXTURES];
varying vec4 v_back_color;
varying vec4 fogColor;

void main(void)
{
    	v_texcoord[0] = a_texcoord0.xy;
    	fogColor=fog_Color;
    	
    	vec3 v_position1=a_position.xyz;
	if (isVertexShort) v_position1=v_position1*PointScaleRate1+CenterPoint1;
	if (needComputeVertex)
	{
		v_position1=v_position1+(a_position1.xyz*PointScaleRate2+CenterPoint2-v_position1.xyz)*Rate1;
	}
	
	vec4 v_position=vec4(v_position1,1.0);
    	
    	gl_Position = mvp_matrix * v_position;
    
        posz=gl_Position.w*FogDisRate;
        
        if (posz>0.0 && posz<1.0)
        {
            fogColor=fog_Color*posz;
            {
            	float v = 0.5 * (1.0 + dot(normalize(a_position.xyz), a_normal*0.008))+0.5;
            	v_back_color.xyz=obj_Color.xyz*(v*(1.0-posz)*3.0);
            }
        }
        else
        {
            v_back_color=fog_Color;
        }
}